corda / net.corda.core.node.services / AttachmentsStorageService

# AttachmentsStorageService

`interface AttachmentsStorageService`

### Properties

attachments | `abstract val attachments: AttachmentStorage` Provides access to storage of arbitrary JAR files (which may contain only data, no code).

### Inheritors

StorageService | `interface StorageService : AttachmentsStorageService` A sketch of an interface to a simple key/value storage system. Intended for persistence of simple blobs like transactions, serialised flow state machines and so on. Again, this isn't intended to imply lack of SQL or anything like that, this interface is only big enough to support the prototyping work.